slepc-3.21.1 2024-04-26
Report Typos and Errors

# DSSetDimensions

Resize the matrices in the DS object.

### Synopsis

    #include "slepcds.h"
    PetscErrorCode DSSetDimensions(DS ds,PetscInt n,PetscInt l,PetscInt k)

Logically Collective

### Input Parameters

| ds | - the direct solver context
| n | - the new size
| l | - number of locked (inactive) leading columns
| k | - intermediate dimension (e.g., position of arrow)

### Notes

The internal arrays are not reallocated.

Some DS types have additional dimensions, e.g. the number of columns in DSSVD. For these, you should call a specific interface function.

### See Also

DSGetDimensions(), DSAllocate(), DSSVDSetDimensions()

### Level

intermediate

### Location

src/sys/classes/ds/interface/dsops.c
Index of all DS routines
Table of Contents for all manual pages
Index of all manual pages